列出 Channel
curl --request GET \
--url https://agent-api.bigmodel.cn/api/agent/forward/v0/channels \
--header 'Authorization: Bearer <token>' \
--header 'zai-beta: <zai-beta>' \
--header 'zai-version: <zai-version>'import requests
url = "https://agent-api.bigmodel.cn/api/agent/forward/v0/channels"
headers = {
"zai-version": "<zai-version>",
"zai-beta": "<zai-beta>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'zai-version': '<zai-version>',
'zai-beta': '<zai-beta>',
Authorization: 'Bearer <token>'
}
};
fetch('https://agent-api.bigmodel.cn/api/agent/forward/v0/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://agent-api.bigmodel.cn/api/agent/forward/v0/channels")
.header("zai-version", "<zai-version>")
.header("zai-beta", "<zai-beta>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://agent-api.bigmodel.cn/api/agent/forward/v0/channels"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("zai-version", "<zai-version>")
req.Header.Add("zai-beta", "<zai-beta>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent-api.bigmodel.cn/api/agent/forward/v0/channels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"zai-beta: <zai-beta>",
"zai-version: <zai-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "channel_xxx",
"type": "channel",
"channel_type": "feishu",
"name": "Support Feishu channel",
"template": {
"agent": {
"type": "agent",
"id": "agent_xxx",
"version": 3
},
"environment_id": "env_xxx",
"vault_ids": [
"vault_xxx"
],
"file_ids": [
"file_xxx"
],
"memory_stores": []
},
"enabled": true,
"binding_status": "bound",
"connection_status": "connected",
"channel_config": {
"response_options": {
"include_tool_calls": false,
"include_process": false,
"card_output": true
},
"group_prompt_template": null,
"private_memory_store_enabled": false
},
"last_error": null,
"created_at": "2026-09-01T00:00:00.000Z",
"updated_at": "2026-09-01T00:00:00.000Z"
}
],
"next_page": null
}{
"type": "error",
"error": {
"type": "authentication_error",
"message": "<string>",
"details": {}
},
"request_id": "req_xxx"
}{
"type": "error",
"error": {
"type": "authentication_error",
"message": "<string>",
"details": {}
},
"request_id": "req_xxx"
}Channel
列出 Channel
分页列出当前账号的 Channel,返回安全配置,不回显凭据。
使用说明
使用说明
按当前 customer 分页列出 Channel。返回安全的 resolved inline template 与 Channel 配置,不返回 credential、计费字段或内部 Identity/Session/binding 标识。
GET
/
agent
/
forward
/
v0
/
channels
列出 Channel
curl --request GET \
--url https://agent-api.bigmodel.cn/api/agent/forward/v0/channels \
--header 'Authorization: Bearer <token>' \
--header 'zai-beta: <zai-beta>' \
--header 'zai-version: <zai-version>'import requests
url = "https://agent-api.bigmodel.cn/api/agent/forward/v0/channels"
headers = {
"zai-version": "<zai-version>",
"zai-beta": "<zai-beta>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'zai-version': '<zai-version>',
'zai-beta': '<zai-beta>',
Authorization: 'Bearer <token>'
}
};
fetch('https://agent-api.bigmodel.cn/api/agent/forward/v0/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://agent-api.bigmodel.cn/api/agent/forward/v0/channels")
.header("zai-version", "<zai-version>")
.header("zai-beta", "<zai-beta>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://agent-api.bigmodel.cn/api/agent/forward/v0/channels"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("zai-version", "<zai-version>")
req.Header.Add("zai-beta", "<zai-beta>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent-api.bigmodel.cn/api/agent/forward/v0/channels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"zai-beta: <zai-beta>",
"zai-version: <zai-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "channel_xxx",
"type": "channel",
"channel_type": "feishu",
"name": "Support Feishu channel",
"template": {
"agent": {
"type": "agent",
"id": "agent_xxx",
"version": 3
},
"environment_id": "env_xxx",
"vault_ids": [
"vault_xxx"
],
"file_ids": [
"file_xxx"
],
"memory_stores": []
},
"enabled": true,
"binding_status": "bound",
"connection_status": "connected",
"channel_config": {
"response_options": {
"include_tool_calls": false,
"include_process": false,
"card_output": true
},
"group_prompt_template": null,
"private_memory_store_enabled": false
},
"last_error": null,
"created_at": "2026-09-01T00:00:00.000Z",
"updated_at": "2026-09-01T00:00:00.000Z"
}
],
"next_page": null
}{
"type": "error",
"error": {
"type": "authentication_error",
"message": "<string>",
"details": {}
},
"request_id": "req_xxx"
}{
"type": "error",
"error": {
"type": "authentication_error",
"message": "<string>",
"details": {}
},
"request_id": "req_xxx"
}Headers
Forward Channel v0 基础协议标识,当前固定为 2026-05-26。
Available options:
2026-05-26 Example:
"2026-05-26"
Channel v0 必须包含 managed-agents-2026-05-26;不要直接替换成 Managed API 推荐的新 Beta 值。多个值用逗号分隔。
Example:
"managed-agents-2026-05-26"
Query Parameters
每页数量。
Required range:
1 <= x <= 100排序方向。
Available options:
asc, desc 上一页返回的 opaque cursor。
Was this page helpful?